summaryrefslogtreecommitdiff
path: root/helpers/chroot_debianchroot
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2010-02-05 17:10:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:17:04 +0100
commit3b80c5c5d9c9d2eec91910b70a120da5943c7fac (patch)
tree31b5fef2977e7fabe669077041c569169c788a95 /helpers/chroot_debianchroot
parent59e9a93ad08c171fb0d22e965c56f91c5bd17615 (diff)
downloadlive-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.zip
live-build-3b80c5c5d9c9d2eec91910b70a120da5943c7fac.tar.gz
Dropping lh_ prefix from internal helpers, this is not user visible.
Diffstat (limited to 'helpers/chroot_debianchroot')
-rwxr-xr-xhelpers/chroot_debianchroot80
1 files changed, 80 insertions, 0 deletions
diff --git a/helpers/chroot_debianchroot b/helpers/chroot_debianchroot
new file mode 100755
index 0000000..6916d2d
--- /dev/null
+++ b/helpers/chroot_debianchroot
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# lh_chroot_debianchroot(1) - manage /etc/debian_chroot
+# Copyright (C) 2006-2009 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+. "${LH_BASE:-/usr/share/live-helper}"/live-helper.sh
+
+# Setting static variables
+DESCRIPTION="$(Echo 'manage /etc/debian_chroot')"
+HELP=""
+USAGE="${PROGRAM} {install|remove} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffiles config/all config/common config/bootstrap config/chroot config/binary config/source
+Set_defaults
+
+# Requiring stage file
+Require_stagefile .stage/config .stage/bootstrap
+
+case "${1}" in
+ install)
+ Echo_message "Configuring file /etc/debian_chroot"
+
+ # Checking stage file
+ Check_stagefile .stage/chroot_debianchroot
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ if [ -f chroot/etc/debian_chroot ]
+ then
+ # Save chroot file
+ mv chroot/etc/debian_chroot chroot/etc/debian_chroot.orig
+ fi
+
+ # Create chroot file
+ echo "live" > chroot/etc/debian_chroot
+
+ # Creating stage file
+ Create_stagefile .stage/chroot_debianchroot
+ ;;
+
+ remove)
+ Echo_message "Deconfiguring file /etc/debian_chroot"
+
+ # Checking lock file
+ Check_lockfile .lock
+
+ # Creating lock file
+ Create_lockfile .lock
+
+ if [ -f chroot/etc/debian_chroot.orig ]
+ then
+ # Restore chroot file
+ mv chroot/etc/debian_chroot.orig chroot/etc/debian_chroot
+ else
+ # Remove chroot file
+ rm -f chroot/etc/debian_chroot
+ fi
+
+ # Removing stage file
+ rm -f .stage/chroot_debianchroot
+ ;;
+
+ *)
+ Usage
+ ;;
+esac